#spinnerContainer {
    position: absolute;
    left: 50%;
    top: 73%;
    width: 100%;
    max-width: 10%;
    height: 100%;
    max-height: 10%;
    background: rgba(0, 0, 0, 0);
    z-index: 50;
    -webkit-animation: fade-in 2s ease-out forwards;
    animation: fade-in 2s ease-out forwards;
}

.lds-ellipsis {
    display: block;
    position: absolute;
    z-index: 19;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    width: 120px;
    height: 80px;
    background: rgba(0, 0, 0, 0);
}

#fantasma-preloader-container {
    background: radial-gradient(ellipse at top, #181818, rgba(55, 140, 15, 0.1)),
    radial-gradient(ellipse at center, #151515, #131313);
    width: 100%;
    height: 100%;
    position: fixed;
}

#fade-in {
    -webkit-animation: fade-in 2s ease-out forwards;
    animation: fade-in 2s ease-out forwards;
}

#preloader-bg {
    width: 100%;
    height: 100%;
    position: absolute;
    /*background-image: url("background.png");*/
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

#preloader-pattern {
    position: absolute;
    left: 50%;
    top: 42%;
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    max-height: 85%;
    max-width: 85%;
    z-index: 14;
    -webkit-animation: fade-in 2s ease-out forwards;
    animation: fade-in 2s ease-out forwards;
}

#preloader {
    width: 100%;
    height: 100%;
    position: absolute;
    /*background-image: url("background.png");*/
    /*background-repeat: no-repeat;*/
    /*background-position: center;*/
    /*background-size: contain;*/
    /*-webkit-animation: fade-in 2s ease-out forwards;*/
    /*animation: fade-in 2s ease-out forwards;*/
}

#loadingText {
    max-width: 50%;
}

#corpLogo {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    bottom: 5%;
    max-height: 20%;
    max-width: 30%;
}

#loadingText, #barBg, #progress {
    position: absolute;
    left: 50%;
    top: 62%;
    max-height: 8%;
    -webkit-transform: translateX(-50%) translateY(-50%);
    -ms-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    z-index: 15;
}

#barBg, #progress {
    width: 80%;
    border-radius: 2em;
    display: grid;
    -webkit-animation: fade-in 1s ease-out;
    animation: fade-in 1s ease-out;

}

#barBg {
    height: 2.4em;
    border: 2px solid #510080;
    background: linear-gradient(to bottom, #500075, #470070);
    -webkit-box-shadow: 0 5px 20px #290063;
    box-shadow: 0 5px 20px #5d0081;
}

#barBg::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 2em;
    background: linear-gradient(to bottom, #28004d, #4e0081);
    opacity: 0.7;
}

#progress {
    left: 10%;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    height: 2.3em;
    width: 79%;
    border: 3px solid #ffc400;
    mix-blend-mode: normal;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
    box-shadow: 0 0 10px rgba(255, 60, 0, 0.9);
    background: linear-gradient(0deg,rgba(235, 124, 21, 1) 0%, rgba(179, 54, 0, 1) 24%, rgba(235, 116, 19, 1) 39%, rgba(247, 168, 32, 1) 50%, rgba(247, 244, 30, 1) 71%, rgba(250, 182, 47, 1) 91%);
}

.lds-ellipsis div {
    position: absolute;
    width: 59px;
    height: 61px;
    background-image: url("tick.png");
    background-repeat: no-repeat;
    background-position: center;
    -webkit-animation-timing-function: cubic-bezier(0, 1, 1, 0);
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
    left: -90px;
    -webkit-animation: lds-ellipsis1 0.6s infinite;
    animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
    left: -90px;
    -webkit-animation: lds-ellipsis2 0.6s infinite;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
    left: 10px;
    -webkit-animation: lds-ellipsis2 0.6s infinite;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
    left: 110px;
    -webkit-animation: lds-ellipsis3 0.6s infinite;
    animation: lds-ellipsis3 0.6s infinite;
}

@media (orientation: portrait) {
    #preloader-pattern {
        top: 47%;
        max-height: 140%;
        max-width: 140%;
    }
}

@-webkit-keyframes fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes enter-in-small {
    0% {
        -webkit-transform: translate(-50%, -20%);
        transform: translate(-50%, -20%);
        opacity: 0;
    }
    100% {
        -webkit-transform: translate(-50%, 0);
        transform: translate(-50%, 0);
        opacity: 1;
    }
}

@keyframes enter-in-small {
    0% {
        -webkit-transform: translate(-50%, -20%);
        transform: translate(-50%, -20%);
        opacity: 0;
    }
    100% {
        -webkit-transform: translate(-50%, 0);
        transform: translate(-50%, 0);
        opacity: 1;
    }
}

@-webkit-keyframes enter-in {
    0% {
        -webkit-transform: translate(-50%, 0);
        transform: translate(-50%, 0);
        opacity: 0;
    }
    100% {
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        opacity: 1;
    }
}

@keyframes enter-in {
    0% {
        -webkit-transform: translate(-50%, 0);
        transform: translate(-50%, 0);
        opacity: 0;
    }
    100% {
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        opacity: 1;
    }
}

@-webkit-keyframes lds-ellipsis1 {
    0% {
        /*transform: translate(-55px, 0);*/
        -webkit-transform: translate(-160px, 0);
        transform: translate(-160px, 0);
        opacity: 0;
    }
    100% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
        opacity: 1;
    }
}

@keyframes lds-ellipsis1 {
    0% {
        /*transform: translate(-55px, 0);*/
        -webkit-transform: translate(-160px, 0);
        transform: translate(-160px, 0);
        opacity: 0;
    }
    100% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
        opacity: 1;
    }
}

@-webkit-keyframes lds-ellipsis2 {
    0% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
    100% {
        -webkit-transform: translate(100px, 0);
        transform: translate(100px, 0);
    }
}

@keyframes lds-ellipsis2 {
    0% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
    100% {
        -webkit-transform: translate(100px, 0);
        transform: translate(100px, 0);
    }
}

@-webkit-keyframes lds-ellipsis3 {
    0% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translate(160px, 0);
        transform: translate(160px, 0);
        opacity: 0;
    }
}

@keyframes lds-ellipsis3 {
    0% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translate(160px, 0);
        transform: translate(160px, 0);
        opacity: 0;
    }
}